%define         major        2
%define         libname      %mklibname %{name} %{major}
%define         develname    %mklibname -d %{name}

%define         vampdir      %{_libdir}/vamp
%define         ladspadir    %{_libdir}/ladspa
%define         pkgconfdir   %{_libdir}/pkgconfig

Summary:        Audio time-stretching and pitch-shifting library
Name:           rubberband
Version:        1.8.1
Release:        %mkrel 9
License:        GPLv2
Group:          System/Libraries
URL:            http://www.breakfastquay.com/rubberband/
Source0:        http://www.breakfastquay.com/rubberband/files/%{name}-%{version}.tar.bz2
Source1:        http://www.breakfastquay.com/rubberband/usage.txt
Patch0:         rubberband-1.8.1-deb-03-fix_build_on_armel.patch

BuildRequires:  fftw3-devel
BuildRequires:  ladspa-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  pkgconfig
BuildRequires:  vamp-plugin-sdk-devel
Requires:       %{libname} = %{version}-%{release}

%description
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{libname}
Summary:        Audio time-stretching and pitch-shifting library
Group:          System/Libraries


%description -n %{libname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{develname}
Summary:        Development files for rubberband
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another. This
package contains files needed to develop with the rubberband library.

%prep
%setup -q
cp %{SOURCE1} .
%autopatch -p1


%build
autoreconf -fiv

%configure2_5x --libdir=%{_libdir}
%make



%install
%make_install  INSTALL_LIBDIR="%{_libdir}" INSTALL_VAMPDIR="%vampdir" INSTALL_LADSPADIR="%ladspadir" INSTALL_PKGDIR="%pkgconfdir"



%files
%doc usage.txt CHANGELOG
%{_bindir}/rubberband

%files -n %{libname}
%{_libdir}/librubberband.so.%{major}{,.*}
%ladspadir/*.cat
%ladspadir/*.so
%vampdir/*.cat
%vampdir/*.so
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf


%files -n %{develname}
%{_includedir}/rubberband
%{_libdir}/*.so
%{_libdir}/*.a
%pkgconfdir/rubberband.pc



%changelog
* Sun Feb 21 2016 barjac <barjac> 1.8.1-9.mga6
+ Revision: 975352
- patch for arm build

* Sat Jan 30 2016 daviddavid <daviddavid> 1.8.1-8.mga6
+ Revision: 929208
- rebuild for arm

* Thu Aug 27 2015 cjw <cjw> 1.8.1-7.mga6
+ Revision: 870094
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-6.mga5
+ Revision: 745339
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.1-5.mga5
+ Revision: 730107
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-4.mga5
+ Revision: 688735
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8.1-3.mga4
+ Revision: 518124
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.8.1-2.mga3
+ Revision: 380581
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 eatdirt <eatdirt> 1.8.1-1.mga3
+ Revision: 314531
- Upgrade to version 1.8.1

* Sat Dec 10 2011 eatdirt <eatdirt> 1.7.0-1.mga2
+ Revision: 180381
- Upgrade to 1.7.0, specfile cleaned

* Thu Mar 24 2011 boklm <boklm> 1.5.0-2.mga1
+ Revision: 76206
- rebuild for bug #497

* Thu Mar 10 2011 ennael <ennael> 1.5.0-1.mga1
+ Revision: 67553
- clean spec file
- imported package rubberband


* Sun Aug 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.0-1mdv2011.0
+ Revision: 574019
- update to new version 1.5.0
- drop patch 1
- rediff patch 2
- Patch3: fix wrong versions

* Wed Mar 24 2010 Caio Begotti <caio1982@mandriva.org> 1.3-3mdv2010.1
+ Revision: 527211
- bump for a new gcc fix which makes it linkable with the new vamp-plugin-sdk

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Mar 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3-1mdv2009.1
+ Revision: 356967
- update to new version 1.3

* Mon Aug 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-1mdv2009.0
+ Revision: 275857
- Patch2: fix installation on x86_64
- update to new version 1.2
- bump major
- drop patch 0, fixed upstream
- Patch1: fix compiling with gcc43
- obsolete old major library
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2008.1
+ Revision: 182979
- import rubberband


* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2008.1
- initial Mandriva release

* Wed Feb 20 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1.0.1-3
- rebuild for new version of vamp-plugins-sdk (1.1b)
- fixed typo that meant the pkgconfig file was not being installed

* Fri Dec 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1.0.1-1
- initial build.
